hist: Tickers history

API: bitfinex.com:bitfinex
Endpoint: /tickers/hist
Response format: application/json
Charset: utf-8
Auth: none
Method: GET
Last Status: 200
Latency: 225ms

Description

Returns historical ticker data for specified symbols.

Parameters (5)

end (integer, query, optional)

End timestamp in milliseconds

limit (integer, query, optional, default: 125)

Number of records (max 250)

Constraints: {'maximum': 250}

sort (integer, query, optional)

Sort order: +1 for ascending, -1 for descending

Constraints: {'enum': [-1, 1]}

start (integer, query, optional)

Start timestamp in milliseconds

symbols (string, query, required)

Comma-separated list of symbols

Examples (1)

Tickers history probe-gate
curl 'https://api-pub.bitfinex.com/v2/tickers/hist?limit=125'
import requests

resp = requests.get(
    "https://api-pub.bitfinex.com/v2/tickers/hist",
    params={
        'limit': '125',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("bitfinex")
result = api.fetch("tickers/hist", limit=125)

for item in result:
    print(item)
const resp = await fetch("https://api-pub.bitfinex.com/v2/tickers/hist?limit=125");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:47:05.162868 200 225ms
2026-04-16 04:09:20.944000 200 230ms
2026-04-15 01:21:57.671333 200 233ms
2026-04-14 02:31:42.551275 200 249ms
2026-04-12 14:57:12.256086 200 222ms
2026-04-10 06:43:00.694356 200 130ms
2026-04-09 03:29:06.919418 200 300ms
2026-04-08 00:54:47.909732 200 271ms
2026-04-07 01:51:36.844236 200 240ms
2026-04-06 06:31:54.791284 200 263ms
2026-04-05 15:00:35.709865 ERR
2026-04-05 00:40:51.739094 200 258ms
2026-04-04 02:47:28.954394 200 279ms
2026-04-03 12:17:45.539617 200 379ms
2026-03-30 06:04:58.954965 200 224ms
2026-03-22T10:44:49.864012 200 180ms